Index: /LMDZ4/trunk/libf/phylmd/write_histISCCP.h
===================================================================
--- /LMDZ4/trunk/libf/phylmd/write_histISCCP.h	(revision 1402)
+++ /LMDZ4/trunk/libf/phylmd/write_histISCCP.h	(revision 1403)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
       IF (ok_isccp) THEN
@@ -77,5 +77,5 @@
      .                 meantaucld(:,n))
 c
-        zx_tmp_fi2d(1:klon)=float(seed(1:klon,n))
+        zx_tmp_fi2d(1:klon)=REAL(seed(1:klon,n))
 c
 c       print*,'n=',n,' write_ISCCP avant seed'
Index: /LMDZ4/trunk/libf/phylmd/write_histmthNMC.h
===================================================================
--- /LMDZ4/trunk/libf/phylmd/write_histmthNMC.h	(revision 1402)
+++ /LMDZ4/trunk/libf/phylmd/write_histmthNMC.h	(revision 1403)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
       IF (ok_histNMC(1)) THEN
Index: /LMDZ4/trunk/libf/phylmd/write_histrac.h
===================================================================
--- /LMDZ4/trunk/libf/phylmd/write_histrac.h	(revision 1402)
+++ /LMDZ4/trunk/libf/phylmd/write_histrac.h	(revision 1403)
@@ -9,4 +9,5 @@
      CALL histwrite_phy(nid_tra,"phis",itau_w,pphis)
      CALL histwrite_phy(nid_tra,"aire",itau_w,airephy)
+     CALL histwrite_phy(nid_tra,"zmasse",itau_w,zmasse)
 
 !TRACEURS
@@ -65,5 +66,5 @@
 ! DIVERS    
      CALL histwrite_phy(nid_tra,"pplay",itau_w,pplay)     
-     CALL histwrite_phy(nid_tra,"t",itau_w,t_seri)     
+     CALL histwrite_phy(nid_tra,"T",itau_w,t_seri)     
      CALL histwrite_phy(nid_tra,"mfu",itau_w,pmfu)
      CALL histwrite_phy(nid_tra,"mfd",itau_w,pmfd)
Index: /LMDZ4/trunk/libf/phylmd/yamada4.F
===================================================================
--- /LMDZ4/trunk/libf/phylmd/yamada4.F	(revision 1402)
+++ /LMDZ4/trunk/libf/phylmd/yamada4.F	(revision 1403)
@@ -38,5 +38,5 @@
 c    iflag_pbl=7 : MY 2.0.Fournier
 c    iflag_pbl=8 : MY 2.5
-c    iflag_pbl=9 : un test ?
+c    iflag_pbl>=9 : MY 2.5 avec diffusion verticale
 
 c.......................................................................
@@ -66,6 +66,4 @@
 
       integer nlay,nlev
-cym      PARAMETER (nlay=klev)
-cym      PARAMETER (nlev=klev+1)
 
       logical first
@@ -98,11 +96,7 @@
       real fl,zzz,zl0,zq2,zn2
 
-cym      real rino(klon,klev+1),smyam(klon,klev),styam(klon,klev)
-cym     s  ,lyam(klon,klev),knyam(klon,klev)
-cym     s  ,w2yam(klon,klev),t2yam(klon,klev)
-      real,allocatable,save,dimension(:,:) :: rino,smyam,styam,lyam,
-     s                                        knyam,w2yam,t2yam
-cym      common/pbldiag/rino,smyam,styam,lyam,knyam,w2yam,t2yam
-c$OMP THREADPRIVATE(rino,smyam,styam,lyam,knyam,w2yam,t2yam)
+      real rino(klon,klev+1),smyam(klon,klev),styam(klon,klev)
+     s  ,lyam(klon,klev),knyam(klon,klev)
+     s  ,w2yam(klon,klev),t2yam(klon,klev)
       logical,save :: firstcall=.true.
 c$OMP THREADPRIVATE(firstcall)       
@@ -119,7 +113,4 @@
       
       if (firstcall) then
-        allocate(rino(klon,klev+1),smyam(klon,klev),styam(klon,klev))
-        allocate(lyam(klon,klev),knyam(klon,klev))
-        allocate(w2yam(klon,klev),t2yam(klon,klev))
 	allocate(l0(klon))
 	firstcall=.false.
@@ -127,5 +118,5 @@
 
 
-      if (.not.(iflag_pbl.ge.6.and.iflag_pbl.le.9)) then
+      if (.not.(iflag_pbl.ge.6.and.iflag_pbl.le.10)) then
            stop'probleme de coherence dans appel a MY'
       endif
@@ -412,8 +403,10 @@
       enddo
 
-c     if (iflag_pbl.ge.7..and.0.eq.1) then
-c        q2(:,1)=q2(:,2)
-c        call vdif_q2(dt,g,rconst,plev,temp,kq,q2)
-c     endif
+! Transport diffusif vertical de la TKE.
+      if (iflag_pbl.ge.9) then
+!       print*,'YAMADA VDIF'
+        q2(:,1)=q2(:,2)
+        call vdif_q2(dt,g,rconst,ngrid,plev,temp,kq,q2)
+      endif
 
 c   Traitement des cas noctrunes avec l'introduction d'une longueur
@@ -492,2 +485,145 @@
       return
       end
+      SUBROUTINE vdif_q2(timestep,gravity,rconst,ngrid,plev,temp,
+     &  kmy,q2)
+      use dimphy
+      IMPLICIT NONE
+c.......................................................................
+#include "dimensions.h"
+cccc#include "dimphy.h"
+c.......................................................................
+c
+c dt : pas de temps
+
+      real plev(klon,klev+1)
+      real temp(klon,klev)
+      real timestep
+      real gravity,rconst
+      real kstar(klon,klev+1),zz
+      real kmy(klon,klev+1)
+      real q2(klon,klev+1)
+      real deltap(klon,klev+1)
+      real denom(klon,klev+1),alpha(klon,klev+1),beta(klon,klev+1)
+      integer ngrid
+
+      integer i,k
+
+! 	print*,'RD=',rconst
+      do k=1,klev
+         do i=1,ngrid
+c test
+!       print*,'i,k',i,k
+! 	print*,'temp(i,k)=',temp(i,k)
+! 	print*,'(plev(i,k)-plev(i,k+1))=',plev(i,k),plev(i,k+1)
+            zz=(plev(i,k)+plev(i,k+1))*gravity/(rconst*temp(i,k))
+            kstar(i,k)=0.125*(kmy(i,k+1)+kmy(i,k))*zz*zz
+     s      /(plev(i,k)-plev(i,k+1))*timestep
+         enddo
+      enddo
+
+      do k=2,klev
+         do i=1,ngrid
+            deltap(i,k)=0.5*(plev(i,k-1)-plev(i,k+1))
+         enddo
+      enddo
+      do i=1,ngrid
+         deltap(i,1)=0.5*(plev(i,1)-plev(i,2))
+         deltap(i,klev+1)=0.5*(plev(i,klev)-plev(i,klev+1))
+         denom(i,klev+1)=deltap(i,klev+1)+kstar(i,klev)
+         alpha(i,klev+1)=deltap(i,klev+1)*q2(i,klev+1)/denom(i,klev+1)
+         beta(i,klev+1)=kstar(i,klev)/denom(i,klev+1)
+      enddo
+
+      do k=klev,2,-1
+         do i=1,ngrid
+            denom(i,k)=deltap(i,k)+(1.-beta(i,k+1))*
+     s      kstar(i,k)+kstar(i,k-1)
+c   correction d'un bug 10 01 2001
+            alpha(i,k)=(q2(i,k)*deltap(i,k)
+     s      +kstar(i,k)*alpha(i,k+1))/denom(i,k)
+            beta(i,k)=kstar(i,k-1)/denom(i,k)
+         enddo
+      enddo
+
+c  Si on recalcule q2(1)
+      if(1.eq.0) then
+      do i=1,ngrid
+         denom(i,1)=deltap(i,1)+(1-beta(i,2))*kstar(i,1)
+         q2(i,1)=(q2(i,1)*deltap(i,1)
+     s      +kstar(i,1)*alpha(i,2))/denom(i,1)
+      enddo
+      endif
+c   sinon, on peut sauter cette boucle...
+
+      do k=2,klev+1
+         do i=1,ngrid
+            q2(i,k)=alpha(i,k)+beta(i,k)*q2(i,k-1)
+         enddo
+      enddo
+
+      return
+      end
+      SUBROUTINE vdif_q2e(timestep,gravity,rconst,ngrid,
+     &   plev,temp,kmy,q2)
+      use dimphy
+      IMPLICIT NONE
+c.......................................................................
+#include "dimensions.h"
+cccc#include "dimphy.h"
+c.......................................................................
+c
+c dt : pas de temps
+
+      real plev(klon,klev+1)
+      real temp(klon,klev)
+      real timestep
+      real gravity,rconst
+      real kstar(klon,klev+1),zz
+      real kmy(klon,klev+1)
+      real q2(klon,klev+1)
+      real deltap(klon,klev+1)
+      real denom(klon,klev+1),alpha(klon,klev+1),beta(klon,klev+1)
+      integer ngrid
+
+      integer i,k
+
+      do k=1,klev
+         do i=1,ngrid
+            zz=(plev(i,k)+plev(i,k+1))*gravity/(rconst*temp(i,k))
+            kstar(i,k)=0.125*(kmy(i,k+1)+kmy(i,k))*zz*zz
+     s      /(plev(i,k)-plev(i,k+1))*timestep
+         enddo
+      enddo
+
+      do k=2,klev
+         do i=1,ngrid
+            deltap(i,k)=0.5*(plev(i,k-1)-plev(i,k+1))
+         enddo
+      enddo
+      do i=1,ngrid
+         deltap(i,1)=0.5*(plev(i,1)-plev(i,2))
+         deltap(i,klev+1)=0.5*(plev(i,klev)-plev(i,klev+1))
+      enddo
+
+      do k=klev,2,-1
+         do i=1,ngrid
+            q2(i,k)=q2(i,k)+
+     s      ( kstar(i,k)*(q2(i,k+1)-q2(i,k))
+     s       -kstar(i,k-1)*(q2(i,k)-q2(i,k-1)) )
+     s      /deltap(i,k)
+         enddo
+      enddo
+
+      do i=1,ngrid
+         q2(i,1)=q2(i,1)+
+     s   ( kstar(i,1)*(q2(i,2)-q2(i,1))
+     s                                      )
+     s   /deltap(i,1)
+         q2(i,klev+1)=q2(i,klev+1)+
+     s   ( 
+     s    -kstar(i,klev)*(q2(i,klev+1)-q2(i,klev)) )
+     s   /deltap(i,klev+1)
+      enddo
+
+      return
+      end
Index: /LMDZ4/trunk/makegcm
===================================================================
--- /LMDZ4/trunk/makegcm	(revision 1402)
+++ /LMDZ4/trunk/makegcm	(revision 1403)
@@ -49,16 +49,13 @@
 ###### VERSION LMDZ.4
 set INCALIB=../INCA3/config/lib
-#set LMDGCM="`pwd`"
-#setenv LIBOGCM $LMDGCM/libo
+set LMDGCM="`pwd`"
+setenv LIBOGCM $LMDGCM/libo
 #
 #
-#setenv NCDFINC /tmpdir/fairhead/1P1bis/netcdf-3.6.1/include
-#setenv NCDFLIB /tmpdir/fairhead/1P1bis/netcdf-3.6.1/lib
-#setenv IOIPSLDIR /tmpdir/fairhead/IOIPSL/modipsl/lib
-#setenv MODIPSLDIR /tmpdir/fairhead/IOIPSL/modipsl/lib
-#setenv IOIPSLDIR /d4/fairhead/gfortran/ioispl-v2_1_9
-#setenv MODIPSLDIR /d4/fairhead/gfortran/ioispl-v2_1_9
-#setenv NCDFINC /d4/fairhead/gfortran/netcdf-4.0.1/include
-#setenv NCDFLIB /d4/fairhead/gfortran/netcdf-4.0.1/lib
+setenv IOIPSLDIR /d4/fairhead/gfortran/ioipsl_v2_1_9
+setenv MODIPSLDIR /d4/fairhead/gfortran/ioipsl_v2_1_9
+setenv NCDFINC /d4/fairhead/gfortran_4.4/netcdf-4.1.1/include
+setenv NCDFLIB /d4/fairhead/gfortran_4.4/netcdf-4.1.1/lib
+
 
 
@@ -1044,4 +1041,9 @@
 cd $localdir
 
+set source_code=${code}.F
+if ( -f $LMDGCM/libf/dyn${dimc}d${FLAG_PARA}/${code}.F90 ) then
+  set source_code=${code}.F90
+endif
+
 echo $make -f $LMDGCM/makefile \
 OPTION_DEP="$opt_dep" OPTION_LINK="$opt_link" \
@@ -1068,4 +1070,5 @@
 MOD_SUFFIX=$mod_suffix \
 AR=$ar \
+SOURCE=$source_code \
 PROG=$code
 
@@ -1094,4 +1097,5 @@
 MOD_SUFFIX=$mod_suffix \
 AR=$ar \
+SOURCE=$source_code \
 PROG=$code
 
Index: /LMDZ4/trunk/orchidee.def
===================================================================
--- /LMDZ4/trunk/orchidee.def	(revision 1402)
+++ /LMDZ4/trunk/orchidee.def	(revision 1403)
@@ -1,20 +1,24 @@
-#
-# $Header$
 #
 #
-# SECHIBA
+# Parameter file for LMDZ4OR_v2 configuration
+# See comments : http://forge.ipsl.jussieu.fr/orchidee/
 #
-STOMATE_OK_CO2=FALSE
+STOMATE_OK_CO2=TRUE
 # STOMATE_OK_STOMATE is not set
 # STOMATE_OK_DGVM is not set
 # STOMATE_WATCHOUT is not set
-#SECHIBA_restart_in=default
-SECHIBA_restart_in=start_sech.nc
+SECHIBA_restart_in=default
 SECHIBA_rest_out=sechiba_rest.nc
 SECHIBA_reset_time=y
-SECHIBA_reset_time is not set
+#
 OUTPUT_FILE=sechiba_out.nc
 WRITE_STEP=2592000
-SECHIBA_HISTLEVEL=10
+SECHIBA_HISTLEVEL=5
+#
+SECHIBA_HISTFILE2 = FALSE
+SECHIBA_OUTPUT_FILE2 = sechiba_out_2.nc
+WRITE_STEP2 = 86400.0
+SECHIBA_HISTLEVEL2 = 1
+#
 STOMATE_OUTPUT_FILE=stomate_history.nc
 STOMATE_HIST_DT=10.
@@ -25,4 +29,5 @@
 # IMPOSE_VEG is not set
 VEGETATION_FILE=carteveg5km.nc
+# VEGETATION_FILE=pft_new.nc
 DIFFUCO_LEAFCI=233.
 CONDVEG_SNOWA=default
@@ -42,5 +47,17 @@
 HYDROL_DSP=default
 HYDROL_QSV=0.0
+HYDROL_OK_HDIFF=n
+HYDROL_TAU_HDIFF=1800.
 THERMOSOIL_TPRO=280.
 RIVER_ROUTING=y
 ROUTING_FILE=routing.nc
+LAI_MAP=y
+LAI_FILE=lai2D.nc
+SECHIBA_QSINT=0.02
+ALB_BARE_MODEL = FALSE
+PERCENT_THROUGHFALL_PFT = 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30.
+RVEG_PFT = .5, .5, .5, .5, .5, .5, .5, .5, .5, .5, .5, .5, .5
+CDRAG_FROM_GCM = .TRUE.
+#LAND_USE=y
+#VEGET_YEAR=0
+#VEGET_UPDATE=1Y
Index: /LMDZ4/trunk/run.def
===================================================================
--- /LMDZ4/trunk/run.def	(revision 1402)
+++ /LMDZ4/trunk/run.def	(revision 1403)
@@ -1,9 +1,13 @@
+# $Id$
 #
-## $Id$
-#
+## Fichier de configuration general
+## 
 INCLUDEDEF=physiq.def
 INCLUDEDEF=gcm.def
 INCLUDEDEF=orchidee.def
 INCLUDEDEF=output.def
+## Type de calendrier utilise
+## valeur possible: earth_360d (defaut), earth_365d, earth_366d
+calend=earth_360d
 ## Jour de l'etat initial ( = 350  si 20 Decembre ,par expl. ,comme ici )
 dayref=1
@@ -11,13 +15,33 @@
 anneeref=1980
 ## Nombre de jours d'integration
-nday=1
+nday=5
+## Remise a zero de la date initiale
+raz_date=0
 ## periode de sortie des variables de controle (en pas)
 iconser=240
-## periode d'ecriture du fichier histoire (en jour)
-iecri=1
+## sorties instantanees dans la dynamique (fichiers dyn_hist.nc and co.)
+ok_dyn_ins=n
+## periode d'ecriture des sorties instantanees dans la dynamique
+## (en pas dynamiques)
+iecri=960
+## sorties de valeurs moyennes dans la dynamique (fichiers dyn_hist_ave.nc and co.)
+ok_dyn_ave=n
+## periode de stockage des moyennes dans la dynamique et dans dynzon
+periodav=30
 ## flag de sortie dynzon
 ok_dynzon=n
-## periode de stockage fichier dynzon (en jour)
-periodav=30.
-## Output diagnistics from the dynamics in Grads file dyn.dat
-output_grads_dyn=n
+## activation du calcul d equilibrage de charge
+adjust=n
+## activation du filtre fft
+use_filtre_fft=n
+## niveau d'impression de controle
+prt_level=1
+##
+## Informations sur la configuration utilisee
+## 
+### type_ocean = force / slab  /couple
+type_ocean=force
+### version_ocean = nemo / opa8 
+version_ocean=nemo
+### VEGET= y si ORCHIDEE, =n si bucket
+VEGET=n
